Distribution:	CCux
Packager:  	Karsten Brockmann <arcam@ccux-linux.de>

Summary:      	modular configuration system
Name:      	libmcs
Version:        0.7.1
Release:   	1
Provides:	mcs 
License: 	BSD
URL:	  	http://sacredspiral.co.uk/~nenolod/mcs/
Group:		System/Libraries
Source0: 	%{name}-%{version}.tgz
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires:	ORBit2-devel
BuildRequires:  glibc-devel
BuildRequires:  glib-devel
BuildRequires:  GConf-devel

%description
mcs is a library and set of userland tools which abstract the storage of configuration settings away from userland applications.
It is hoped that by using mcs, that the applications which use it will generally have a more congruent feeling in regards to settings.

%package        devel
Summary:        %{name} development headers.
Group:          %{group}
Requires:       %{name} = %{version}-%{release}

%description    devel
Header and include files for developing applications with %{name}.

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}

%build
#export LDFLAGS="-L/usr/lib/kde4"
#export CPPFLAGS=-I/usr/include/kde
./configure --prefix=%_prefix \
            --sysconfdir=%_sysconfdir \
            --enable-gconf \
            --disable-kconfig
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%_bindir
%_libdir/*.so*
%_libdir/mcs

%files devel
%defattr(-,root,root)
%_includedir
%_libdir/pkgconfig

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sat Dec 13 2008 Christian Wasem <wasem@ccux-linux.de> 0.7.1-1
- Version update
* Tue Apr 17 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.4.1-1
- Initial Release
